Name:           python-webtest
Version:        3.0.0
Release:        1
Summary:        Helper to test WSGI-based web applications
License:        MIT
URL:            https://github.com/Pylons/webtest
Source0:        https://github.com/Pylons/webtest/archive/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel, python3-setuptools, python3-pytest, python3-pytest-cov, python3-beautifulsoup4, python3-paste-deploy
BuildRequires:  python3-pyquery, python3-six, python3-waitress, python3-webob, python3-WSGIProxy2, python3-pylons-sphinx-themes


%description
WebTest helps you test your WSGI-based web applications. This can be
any application that has a WSGI interface, including an application
written in a framework that supports WSGI (which includes most actively
developed Python web frameworks -- almost anything that even nominally
supports WSGI should be testable).

%package -n python3-webtest
%{?python_provide:%python_provide python3-webtest}
Summary:        Helper to test WSGI-based web applications
Requires:       python3-beautifulsoup4, python3-six, python3-waitress, python3-webob

%description -n python3-webtest
WebTest helps you test your WSGI-based web applications. This can be
any application that has a WSGI interface, including an application
written in a framework that supports WSGI (which includes most actively
developed Python web frameworks -- almost anything that even nominally
supports WSGI should be testable).

%prep
%autosetup -n webtest-%{version} -p1

rm -rf *.egg-info %{_builddir}/python3-%{name}-%{version}
cp -a . %{_builddir}/python3-%{name}-%{version}
cd %{_builddir}/python3-%{name}-%{version}
cd -

%build
cd %{_builddir}/python3-%{name}-%{version}
%py3_build
cd -

%install
cd %{_builddir}/python3-%{name}-%{version}
%py3_install
cd -

%check
cd %{_builddir}/python3-%{name}-%{version}
LANG=en_US.utf8
PYTHONPATH=$(pwd) pytest-%{python3_version}
cd -

%files -n python3-webtest
%doc docs/*
%{python3_sitelib}/*

%changelog
* Thu Jun 16 2022 OpenStack_SIG <openstack@openeuler.org> - 3.0.0-1
- Upgrade version for openstack yoga

* Tue Jan 11 2022 Chen Chen <chen_aka_jan@163.com> - 2.0.35-2
- add python 3.9
- use pytest instead of nose

* Thu Jan 14 2021 yanglongkang <yanglongkang@huawei.com> - 2.0.35-1
- update version 2.0.35

* Sat Aug 8 2020 shixuantong <shixuantong@huawei.com> - 2.0.30-3
- remove python2 support

* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 2.0.30-2
- init package
